export class DateTime extends Date {
  constructor(year, month, day, hours, minutes, seconds, milliseconds) {
    if (arguments.length === 0) {
      super()
    } else if (arguments.length === 1) {
      super(year.replace(/-/g, '/'))
    } else {
      super(year, month, day, hours, minutes, seconds, milliseconds)
    }
  }
}